from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, Int

Wig2Bed_V0_1_0 = CommandToolBuilder(tool="wig2bed", base_command=["wig2bed"], inputs=[ToolInput(tag="in_keep_header", input_type=Boolean(optional=True), prefix="--keep-header", doc=InputDocumentation(doc="(-k)\nPreserve header section as pseudo-BED elements")), ToolInput(tag="in_multi_split", input_type=File(optional=True), prefix="--multisplit", doc=InputDocumentation(doc="(-b <basename>)\nA single input file may have multiple WIG sections. With this option\nevery section gets an ID prefix starting with <basename>.1, then\n<basename>.2, and so on")), ToolInput(tag="in_zero_indexed", input_type=Boolean(optional=True), prefix="--zero-indexed", doc=InputDocumentation(doc="(-x)\nDo not apply any index adjustment to input WIG data. This is useful\nwith input derived from bigWigToWig, for example, where the bigWig\ndata are originally zero-indexed.")), ToolInput(tag="in_do_not_sort", input_type=Boolean(optional=True), prefix="--do-not-sort", doc=InputDocumentation(doc="(-d)\nDo not sort BED output with sort-bed (not compatible with --output=starch)")), ToolInput(tag="in_max_mem", input_type=Int(optional=True), prefix="--max-mem", doc=InputDocumentation(doc="(-m <val>)\nSets aside <value> memory for sorting BED output. For example, <value> can\nbe 8G, 8000M or 8000000000 to specify 8 GB of memory (default is 2G)")), ToolInput(tag="in_sort_tmpdir", input_type=Int(optional=True), prefix="--sort-tmpdir", doc=InputDocumentation(doc="(-r <dir>)\nOptionally sets [dir] as temporary directory for sort data, when used in\nconjunction with --max-mem=[value], instead of the host's operating system\ndefault temporary directory")), ToolInput(tag="in_starch_bzip_two", input_type=Boolean(optional=True), prefix="--starch-bzip2", doc=InputDocumentation(doc="(-z)\nUsed with --output=starch, the compressed output explicitly applies the bzip2\nalgorithm to compress intermediate data (default is bzip2)")), ToolInput(tag="in_starch_gzip", input_type=Boolean(optional=True), prefix="--starch-gzip", doc=InputDocumentation(doc="(-g)\nUsed with --output=starch, the compressed output applies gzip compression on\nintermediate data")), ToolInput(tag="in_starch_note", input_type=Boolean(optional=True), prefix="--starch-note", doc=InputDocumentation(doc="='xyz...' (-e 'xyz...')\nUsed with --output=starch, this adds a note to the Starch archive metadata"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Wig2Bed_V0_1_0().translate("wdl", allow_empty_container=True)

